Ошибка: (23, 17) junit: junit: 4.12 в android studio 1.4

Я использую Android Studio 1.4, и каждый раз, когда я создаю новый проект, возникает такая же ошибка

Error:(23, 17)"Failed to resolve: junit:junit:4.12". 

Я прочитал предыдущий пост о той же проблеме
Ошибка: (23, 17) Не удалось выполнить: junit: junit: 4.12

И выполнил весь данный ответ, но, несмотря на добавление URL (' http://repo1.maven.org/maven2 ' и ' http://jcenter.bintray.com/ ') для отсутствующего репозитория, ошибка остается

Вот мой последний код build.gradle

 apply plugin: 'com.android.application' android { compileSdkVersion 14 buildToolsVersion "23.0.1" defaultConfig { applicationId "com.example.myapplication" minSdkVersion 14 targetSdkVersion 14 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' compile 'com.android.support:appcompat-v7:22.+' } 

Solutions Collecting From Web of "Ошибка: (23, 17) junit: junit: 4.12 в android studio 1.4"

Если вы добавите их в buildscript, вы получите сообщение об ошибке.

Это разница между хранилищем buildscript и репозиториями для зависимостей. Сценарий buildscript используется для зависимостей построения градиентов.

Вам нужно будет добавить следующее в файл build.gradle, и он должен работать нормально.

 repositories { maven { url 'http://repo1.maven.org/maven2' } jcenter { url "http://jcenter.bintray.com/" } } 

Следующее должно работать:

 apply plugin: 'com.android.application' repositories { maven { url 'http://repo1.maven.org/maven2' } jcenter { url "http://jcenter.bintray.com/" } } android { compileSdkVersion 23 buildToolsVersion "23.0.1" defaultConfig { applicationId "com.example.application" minSdkVersion 15 targetSdkVersion 23 versionCode 1 versionName "1.0" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) testCompile 'junit:junit:4.12' compile 'com.android.support:appcompat-v7:23.1.1' compile 'com.android.support:design:23.1.1' } 

Для меня это было то, что в проекте верхнего уровня градиента отсутствовал раздел allprojects:

 buildscript { [...] } allprojects { // <-- required!!! repositories { jcenter() } } 
  1. Перейдите в каталог студии Android (C:\Program Files\Android\Android Studio\lib)
  2. Найти junit-4.12.jar
  3. Скопируйте файл jar в папку проекта libs (myproject\app\libs)
  4. Открыть студию android и удалить (комментарий) эту строку (testCompile 'junit:junit:4.12') в файле build.gradle
  5. В директории openroid (libs) android studio щелкните правой кнопкой мыши файл jar и выберите add as a library

  6. Просто создайте свой проект (подробнее см. Рисунок ниже)

Решена Ошибка: (23, 17) Не удалось решить: junit: junit: 4.12